<?php

namespace App\Model;

use Jenssegers\Mongodb\Eloquent\Model as Eloquent;
use Jenssegers\Mongodb\Eloquent\SoftDeletes;

class DealerClaim extends Eloquent {
    //

    use SoftDeletes;
    
	protected $connection = 'mongodb';
    protected $collection = 'dealer_claim';
	
	protected $guarded = ['_id'];


	public function subscriber() {
        return $this->belongsTo('App\Model\Subscriber','customer_id','_id');
    }

    public function staff() {
        return $this->belongsTo('App\Staff','agent','_id');
    }
}
